utl::common_impl::__common_ref_< T &&, U &, meta::void_t< __common_ref< const T &, U & >, meta::when< ConvertibleTo< T &&, __common_ref< const T &, U & > > > > > Struct Template Reference

`#include <stl.h>`

## Public Types

using | type = __common_ref< const T &, U & >

## Detailed Description

### template<class T, class U>
struct utl::common_impl::__common_ref_< T &&, U &, meta::void_t< __common_ref< const T &, U & >, meta::when< ConvertibleTo< T &&, __common_ref< const T &, U & > > > > >

Definition at line 163 of file stl.h.

## Member Typedef Documentation

## type

template<class T , class U >

using utl::common_impl::__common_ref_< T &&, U &, meta::void_t< __common_ref< const T &, U & >, meta::when< ConvertibleTo< T &&, __common_ref< const T &, U & > > > > >::type = __common_ref<const T&, U&>

Definition at line 166 of file stl.h.

The documentation for this struct was generated from the following file:

- include/utl/concepts/stl.h